<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        * {
            margin: 5px;
            padding: 5px;
        }
    </style>
</head>

<body>
    <div>
        <form action="">
            <label for="">Introduce texto:</label>
            <input type="text" id="texto">
            <button type="button"> Número de vocales</button>

        </form>
        <div class="salida">

        </div>
    </div>
    <script src="1.js"></script>
</body>

</html>